Summary:	The Personal Finances Manager
Name:		kmymoney
Version:	4.8.0
Release:	%mkrel 4
License:	GPLv2+
Group:		Office/Finance
Url:		http://techbase.kde.org/Projects/KMyMoney
Source0:	http://download.kde.org/stable/kmymoney/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		kmymoney-4.8.0-upstream_fix_build.patch
Patch1:		kmymoney-4.8.0-fix-libkmm_payeeidentifier-soversion.patch
Patch2:		kmymoney-4.8.0-gpgmepp.patch

BuildRequires:	kdepimlibs4-devel
BuildRequires:	boost-devel
BuildRequires:	gpgme-devel
BuildRequires:	pkgconfig(libofx)
BuildRequires:	pkgconfig(aqbanking)
BuildRequires:	pkgconfig(libalkimia)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(gwenhywfar)
BuildRequires:	pkgconfig(ktoblzcheck)
BuildRequires:	doxygen
BuildRequires:	perl-Finance-Quote

Requires:	perl-Finance-Quote

%description 
KMyMoney Personal Finance Manager.

%files -f %name.lang
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*.so
%{_kde_appsdir}/*
%{_kde_configdir}/csvimporterrc
%{_kde_datadir}/config.kcfg/*.kcfg
%{_kde_applicationsdir}/*.desktop
%{_kde_iconsdir}/*/*/*/*
%{_kde_services}/*.desktop
%{_kde_services}/ibanbicdata/germany.desktop
%{_kde_servicetypes}/*.desktop
%{_kde_datadir}/mime/packages/*.xml

#-----------------------------------------------------------------------------

%define kmm_kdchart_major 4
%define libkmm_kdchart %mklibname kmm_kdchart %{kmm_kdchart_major}

%package -n %{libkmm_kdchart}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_kdchart}
KMyMoney library.

%files -n %{libkmm_kdchart}
%{_kde_libdir}/libkmm_kdchart.so.%{kmm_kdchart_major}*

#-----------------------------------------------------------------------------

%define kmm_mymoney_major 4
%define libkmm_mymoney %mklibname kmm_mymoney %{kmm_mymoney_major}

%package -n %{libkmm_mymoney}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_mymoney}
KMyMoney library.

%files -n %{libkmm_mymoney}
%{_kde_libdir}/libkmm_mymoney.so.%{kmm_mymoney_major}*

#-----------------------------------------------------------------------------

%define kmm_plugin_major 4
%define libkmm_plugin %mklibname kmm_plugin %{kmm_plugin_major}

%package -n %{libkmm_plugin}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_plugin}
KMyMoney library.

%files -n %{libkmm_plugin}
%{_kde_libdir}/libkmm_plugin.so.%{kmm_plugin_major}*

#-----------------------------------------------------------------------------

%define kmm_widgets_major 4
%define libkmm_widgets %mklibname kmm_widgets %{kmm_widgets_major}

%package -n %{libkmm_widgets}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_widgets}
KMyMoney library.

%files -n %{libkmm_widgets}
%{_kde_libdir}/libkmm_widgets.so.%{kmm_widgets_major}*

#-----------------------------------------------------------------------------

%define kmm_payeeidentifier_major 4
%define libkmm_payeeidentifier %mklibname kmm_payeeidentifier %{kmm_payeeidentifier_major}

%package -n %{libkmm_payeeidentifier}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_payeeidentifier}
KMyMoney library.

%files -n %{libkmm_payeeidentifier}
%{_kde_libdir}/libkmm_payeeidentifier.so.%{kmm_payeeidentifier_major}*

#-----------------------------------------------------------------------------

%define payeeidentifier_iban_bic_major 4
%define libpayeeidentifier_iban_bic %mklibname payeeidentifier_iban_bic %{payeeidentifier_iban_bic_major}

%package -n %{libpayeeidentifier_iban_bic}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libpayeeidentifier_iban_bic}
KMyMoney library.

%files -n %{libpayeeidentifier_iban_bic}
%{_kde_libdir}/libpayeeidentifier_iban_bic.so.%{payeeidentifier_iban_bic_major}*

#-----------------------------------------------------------------------------

%define payeeidentifier_iban_bic_widgets_major 4
%define libpayeeidentifier_iban_bic_widgets %mklibname payeeidentifier_iban_bic_widgets %{payeeidentifier_iban_bic_widgets_major}

%package -n %{libpayeeidentifier_iban_bic_widgets}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libpayeeidentifier_iban_bic_widgets}
KMyMoney library.

%files -n %{libpayeeidentifier_iban_bic_widgets}
%{_kde_libdir}/libpayeeidentifier_iban_bic_widgets.so.%{payeeidentifier_iban_bic_widgets_major}*

#-----------------------------------------------------------------------------

%define payeeidentifier_nationalAccount_major 4
%define libpayeeidentifier_nationalAccount %mklibname payeeidentifier_nationalAccount %{payeeidentifier_nationalAccount_major}

%package -n %{libpayeeidentifier_nationalAccount}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libpayeeidentifier_nationalAccount}
KMyMoney library.

%files -n %{libpayeeidentifier_nationalAccount}
%{_kde_libdir}/libpayeeidentifier_nationalAccount.so.%{payeeidentifier_nationalAccount_major}*

#-----------------------------------------------------------------------------

%package devel
Summary: KMyMoney Development library
Group: Development/KDE and Qt
Requires: %{libkmm_kdchart} = %{version}
Requires: %{libkmm_mymoney} = %{version}
Requires: %{libkmm_plugin} = %{version}
Requires: %{libkmm_widgets} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}
Requires: %{libpayeeidentifier_iban_bic} = %{version}
Requires: %{libpayeeidentifier_iban_bic_widgets} = %{version}
Requires: %{libpayeeidentifier_nationalAccount} = %{version}

%description devel
KMyMoney development files.

%files devel
%{_kde_libdir}/*.so
%{_kde_includedir}/%{name}

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kde4

%make_build

%install
%make_install -C build

%find_lang %name --with-html



%changelog
* Thu Dec 22 2016 daviddavid <daviddavid> 4.8.0-4.mga6
+ Revision: 1076474
- enable KBanking plugin
- switch BRs to pkgconfig()

* Wed Dec 21 2016 daviddavid <daviddavid> 4.8.0-3.mga6
+ Revision: 1076260
- add gentoo patch to fix build against gpgme/gpgmepp >= 1.7.0

  + neoclust <neoclust>
    - Find new gpgme
    - Build against gpgme-devel

* Wed Jun 29 2016 daviddavid <daviddavid> 4.8.0-2.mga6
+ Revision: 1038104
- add a patch to fix libkmm_payeeidentifier soversion (fixes mga#18815)
  * https://bugs.kde.org/show_bug.cgi?id=364387
- add a new lib subpackage for libkmm_payeeidentifier

* Sun Jun 26 2016 zezinho <zezinho> 4.8.0-1.mga6
+ Revision: 1037699
- add upstream patch to fix build
- new libraries
- new stable 4.8.0 version

* Mon May 02 2016 zezinho <zezinho> 4.7.2-4.mga6
+ Revision: 1008553
- rebuild against libofx 0.9.10

* Mon Jan 25 2016 luigiwalser <luigiwalser> 4.7.2-3.mga6
+ Revision: 927286
- rebuild for libical

* Fri Sep 04 2015 zezinho <zezinho> 4.7.2-2.mga6
+ Revision: 872817
- rebuild against new aqbanking-5.5.1

* Thu Sep 03 2015 zezinho <zezinho> 4.7.2-1.mga6
+ Revision: 872623
- new version 4.7.2

* Wed Oct 15 2014 umeabot <umeabot> 4.6.6-3.mga5
+ Revision: 740879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6.6-2.mga5
+ Revision: 681135
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 zezinho <zezinho> 4.6.6-1.mga5
+ Revision: 643485
- new version

  + fwang <fwang>
    - 4.6.5

* Mon Dec 16 2013 neoclust <neoclust> 4.6.4-3.mga4
+ Revision: 557326
- Rebuild against new libofx

* Mon Oct 21 2013 umeabot <umeabot> 4.6.4-2.mga4
+ Revision: 539401
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 4.6.4-1.mga4
+ Revision: 492090
- new version 4.6.4

* Tue Jul 09 2013 fwang <fwang> 4.6.3-8.mga4
+ Revision: 451664
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 4.6.3-7.mga4
+ Revision: 434345
- rebuild for new ical

* Fri Feb 08 2013 fwang <fwang> 4.6.3-6.mga3
+ Revision: 395549
- apply patch
- fix build with latest gmp

* Sat Jan 12 2013 umeabot <umeabot> 4.6.3-5.mga3
+ Revision: 356340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 4.6.3-4.mga3
+ Revision: 336382
- fix build with gcc 4.7

  + zezinho <zezinho>
    - fix rpm group

* Mon Sep 03 2012 fwang <fwang> 4.6.3-2.mga3
+ Revision: 287554
- rebuild for new aqbanking

* Sat Sep 01 2012 fwang <fwang> 4.6.3-1.mga3
+ Revision: 286817
- update file list
- new version 4.6.3

* Fri Mar 16 2012 zezinho <zezinho> 4.6.2-2.mga2
+ Revision: 223686
- rebuild against new libofx

  + fwang <fwang>
    - new version 4.6.2

* Mon Jan 30 2012 zezinho <zezinho> 4.6.1-3.mga2
+ Revision: 203562
- patch to fix build
- rebuild against libalkimia-4.3.2

* Sat Jan 21 2012 fwang <fwang> 4.6.1-2.mga2
+ Revision: 198998
- rebuild for new ofx

* Mon Nov 07 2011 zezinho <zezinho> 4.6.1-1.mga2
+ Revision: 164967
- new version

* Sat Sep 24 2011 zezinho <zezinho> 4.6.0-2.mga2
+ Revision: 147255
- bump release
- go back to complete version

* Fri Sep 23 2011 zezinho <zezinho> 4.6.0-1.mga2
+ Revision: 147139
- use second release to enable build on kde 4.7.x
- added BR libalkimia-devel
- try to build the french manual
- new version 4.6.0

* Wed Apr 13 2011 ahmad <ahmad> 4.5.3-1.mga1
+ Revision: 84120
- update to 4.5.3
- add Source4, .sig for the tarball

* Thu Feb 10 2011 spuhler <spuhler> 4.5.2-1.mga1
+ Revision: 49646
- imported package kmymoney


* Sat Dec 25 2010 Funda Wang <fwang@mandriva.org> 4.5.2-1mdv2011.0
+ Revision: 624700
- update to new version 4.5.2
- re-enalbe aqbanking

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 4.5.1-1mdv2011.0
+ Revision: 598723
- new version 4.5.1

* Tue Sep 14 2010 Thomas Spuhler <tspuhler@mandriva.org> 4.5-2mdv2011.0
+ Revision: 578136
- patch 1 needed to connect to MySQL
- added patch 1 to make it connect to MySQL

* Tue Aug 17 2010 Funda Wang <fwang@mandriva.org> 4.5-1mdv2011.0
+ Revision: 570987
- New version 4.5

* Wed Jun 16 2010 Funda Wang <fwang@mandriva.org> 3.98.1-1mdv2011.0
+ Revision: 548129
- New version 3.98.1

* Thu Jun 03 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.98.0-2mdv2010.1
+ Revision: 547008
- Fix menu entry for KMymoney

* Sun May 16 2010 Funda Wang <fwang@mandriva.org> 3.98.0-1mdv2010.1
+ Revision: 544880
- 3.98.0 final

* Tue Apr 27 2010 Funda Wang <fwang@mandriva.org> 3.97.2-1.1119473.1mdv2010.1
+ Revision: 539538
- New snapshot

  + Sandro Cazzaniga <kharec@mandriva.org>
    - clean mixed-use-of-spaces-and-tabs

* Wed Apr 14 2010 Funda Wang <fwang@mandriva.org> 3.97.1-2.1114730.1mdv2010.1
+ Revision: 534710
- new snapshot

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - new upstream release 3.97.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean file list

* Wed Mar 31 2010 Funda Wang <fwang@mandriva.org> 3.97.0-1mdv2010.1
+ Revision: 530397
- New version 3.97.0

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 3.96.1-1mdv2010.1
+ Revision: 508917
- 3.96.1

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 3.96.0-2mdv2010.1
+ Revision: 506233
- install en doc to correct dir

* Mon Feb 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.96.0-1mdv2010.1
+ Revision: 506175
- Fix file list
- Update to Beta2

* Thu Feb 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.95.0-0.1088392.2mdv2010.1
+ Revision: 504249
- push in release

* Wed Feb 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.95.0-0.1088392.1mdv2010.1
+ Revision: 503987
- This does not need to go on testing in cooker as this will not go on stable release before next stable version of kmymoney

  + Funda Wang <fwang@mandriva.org>
    - New snapshot

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 3.95.0-0.1075755.1mdv2010.1
+ Revision: 492471
- update summary
- add remind on uploading for myself
- import kmymoney


